Next: _gfortran_caf_num_images, Previous: _gfortran_caf_finish, Up: Function ABI Documentation [Contents][Index]

#### 8.2.3 `_gfortran_caf_this_image` — Querying the image number

Description:

  This function returns the current image number, which is a positive number.

Syntax:

  `int _gfortran_caf_this_image (int distance)`

Arguments:

  distance | As specified for the `this_image` intrinsic in TS18508. Shall be a nonnegative number.

NOTES

  If the Fortran intrinsic `this_image` is invoked without an argument, which is the only permitted form in Fortran 2008, GCC passes `0` as first argument.